Retrieves savings data by meter for a given number of years.
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of data to return including the current year - Defaults to 4 | integer (int32) | Optional |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
MeterDigestSavingsYearlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| allTimeBATCCCommonUse | Program to Date BATCC (Baseline Adjusted to Current Conditions) Common Use | number (double) | |||||||||||||||||||||||||||||||||
| allTimeBATCCNativeUse | Program to Date BATCC (Baseline Adjusted to Current Conditions) Native Use | number (double) | |||||||||||||||||||||||||||||||||
| allTimeBATCCTotalCost | Program to Date BATCC (Baseline Adjusted to Current Conditions) Total Cost | number (double) | |||||||||||||||||||||||||||||||||
| allTimeCommonUse | Program to Date Common Use | number (double) | |||||||||||||||||||||||||||||||||
| allTimeNativeUse | Program to Date Native Use | number (double) | |||||||||||||||||||||||||||||||||
| allTimeSavingsCommonUse | Program to Date Savings Common Use = allTimeBATCCCommonUse - allTimeCommonUse | number (double) | |||||||||||||||||||||||||||||||||
| allTimeSavingsNativeUse | Program to Date Savings Native Use = allTimeBATCCNativeUse - allTimeNativeUse | number (double) | |||||||||||||||||||||||||||||||||
| allTimeSavingsTotalCost | Program to Date Savings Total Cost = allTimeBATCCTotalCost - allTimeTotalCost | number (double) | |||||||||||||||||||||||||||||||||
| allTimeTotalCost | Program to Date Total Cost | number (double) | |||||||||||||||||||||||||||||||||
| commonUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||
| meterCAP | MeterCAPResponse | ||||||||||||||||||||||||||||||||||
|
MeterCAPResponse properties
|
|||||||||||||||||||||||||||||||||||
| meterCode | The meter code | string | |||||||||||||||||||||||||||||||||
| meterId | The meter identifier | integer (int32) | |||||||||||||||||||||||||||||||||
| meterInfo | The meter info | string | |||||||||||||||||||||||||||||||||
| nativeUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||
| results | An array of yearly data | MeterDigestSavingsYearlyResponse+Results[] | |||||||||||||||||||||||||||||||||
|
MeterDigestSavingsYearlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||
| savingsStartDate | The saving program’s start date | string (date-time) | |||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||
Example Response
[
{ "allTimeBATCCCommonUse": 1.0, "allTimeBATCCNativeUse": 1.0, "allTimeBATCCTotalCost": 1.0, "allTimeCommonUse": 1.0, "allTimeNativeUse": 1.0, "allTimeSavingsCommonUse": 1.0, "allTimeSavingsNativeUse": 1.0, "allTimeSavingsTotalCost": 1.0, "allTimeTotalCost": 1.0, "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "meterCAP": { "baseStart": "2026-03-30", "includeInCAP": false, "savingStart": "2026-03-30"
}, "meterCode": "string", "meterId": 1, "meterInfo": "string", "nativeUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "batccCommonUse": 1.0, "batccNativeUse": 1.0, "batccTotalCost": 1.0, "commonUse": 1.0, "nativeUse": 1.0, "savingsCommonUse": 1.0, "savingsNativeUse": 1.0, "savingsTotalCost": 1.0, "totalCost": 1.0, "year": "string"
}
], "savingsStartDate": "2026-03-30", "updated": "2026-03-30"
}
]
204
No Content
The request succeeded. No content is returned in the response body.